/* -*- mode: c++; c-basic-offset: 4; -*- */
//
//    System error class
//
#include <stdexcept>
#include <string>
#include <errno.h>
#include <string.h>

class SysError : public std::runtime_error {
public:
    /**  Constructor with sysytem error text string only
     */
    SysError(void)
	: std::runtime_error(strerror(errno)) 
    {}

    /**  Constructor with location string and system error message.
     */
    SysError(const std::string& msg) 
	: std::runtime_error(msg + ": " + strerror(errno))
    {}
};
